#include "CS_Door_Star.h"

CS_Door_Star::CS_Door_Star()
{
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"ls_door_star";
	drawBeforeOtherEntity = true;
	cbRect.left = cbRect.right = 6;
}

void CS_Door_Star::SetState(int stateID, int lr)
{
	this->lr = lr;
	if (lr == 0)
		ani.png = L"CS_CaveStoryMod";
	else
		ani.png = L"";
}

std::shared_ptr<Entity> CreateCS_Door_Star()
{
	return std::make_shared<CS_Door_Star>();
}
